
package de.fzi.ipe.soboleo.server.soapwebservice;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.7-b01-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "AuthentificationService", targetNamespace = "http://soboleo.com")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    ObjectFactory.class
})
public interface AuthentificationService {


    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.AuthenticateResponse
     * @throws InvalidLoginException
     */
    @WebMethod(action = "http://soboleo.com/authenticate")
    @WebResult(name = "authenticateResponse", targetNamespace = "http://soboleo.com", partName = "parameters")
    public AuthenticateResponse authenticate(
        @WebParam(name = "authenticateRequest", targetNamespace = "http://soboleo.com", partName = "parameters")
        AuthenticateRequest parameters)
        throws InvalidLoginException
    ;

    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.GetGroupResponse
     * @throws InvalidKeyException
     */
    @WebMethod(action = "http://soboleo.com/getGroup")
    @WebResult(name = "getGroupResponse", targetNamespace = "http://soboleo.com", partName = "parameters")
    public GetGroupResponse getGroup(
        @WebParam(name = "getGroupRequest", targetNamespace = "http://soboleo.com", partName = "parameters")
        GetGroupRequest parameters)
        throws InvalidKeyException
    ;

    /**
     * 
     * @param parameters
     * @return
     *     returns de.fzi.ipe.soboleo.server.soapwebservice.VerifyKeyResponse
     * @throws InvalidKeyException
     */
    @WebMethod(action = "http://soboleo.com/verifyKey")
    @WebResult(name = "verifyKeyResponse", targetNamespace = "http://soboleo.com", partName = "parameters")
    public VerifyKeyResponse verifyKey(
        @WebParam(name = "verifyKeyRequest", targetNamespace = "http://soboleo.com", partName = "parameters")
        VerifyKeyRequest parameters)
        throws InvalidKeyException
    ;

}
